Bug 439625 - fails to start X on radeon X1900XT (R580)
fails to start X on radeon X1900XT (R580)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-29 14:34 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-28 12:00:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
x log (7.33 KB, text/plain)
2008-03-29 14:34 EDT, Dave Jones
no flags Details

  None (edit)
Description Dave Jones 2008-03-29 14:34:18 EDT
see attached log.  This worked (with vesa iirc) on F8.
Comment 1 Dave Jones 2008-03-29 14:34:18 EDT
Created attachment 299592 [details]
x log
Comment 2 Dave Airlie 2008-03-30 20:07:21 EDT
try with radeon driver, but yes vesa should possibly work if it worked before.
Comment 3 Dave Jones 2008-04-01 00:58:18 EDT
I booted the installer with xdriver=radeon, this got me an X display.  I tried
to confirm what was going on by flipping to tty2 to check the X log, and the
whole screen turned white.  I hit alt-f6 to go back to X/anaconda, and the CRT
went into power saving!

So, works, but with busted ttys.  This is getting to be a theme.
(See 439927 for another tty bug, but on a different kind of radeon)

Close this one, and use the other bug for 'tty switching is busted on several
(all?) radeons'  ?
Comment 4 Dave Jones 2008-04-01 00:58:40 EDT
(though we should probably find out why radeon isn't automatically being
selected before closing this out)
Comment 5 Bug Zapper 2008-05-14 04:24:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.